Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6549/?format=api
{ "ob_id": 6549, "uuid": "97103f7b94ac7bbf8cc4d1d1adf756b6", "title": "APPRAISE ADIENT: Along Track Scanning Radiometer, Version 2 (ATSR 2) Monthly Data", "abstract": "The objective of the ADIENT (Appraising the Direct Impacts of aErosol oN climaTe) project was quantifying the direct effect of aerosols on the Earth's radiation budget, via scattering and/or absorption of radiation. \r\n\r\nThis monthly data is a subset of the GlobAEROSOL climatology from the Along Track Scanning Radiometer (ATSR) instrument on-board ERS-2, data. It spans the period 1 July 1995 to 10 July 2009. \r\n\r\nThe dataset contains measurements of the following parameters over the globe:\r\n\r\nAerosol optical thickness due to aerosol\r\nAngstrom Coefficient average, \r\nAerosol speciation (from a selection of 5 pre-defined types:maritime, continental, desert, urban/polluted and biomass burning).\r\n", "keywords": "APPAISE-ADIENT, GlobAEROSOL", "publicationState": "published", "dataPublishedTime": "2011-03-18T10:12:37", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6550/?format=api", "dataPath": "/badc/appraise/data/adient/globaer/atsr2", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 3837144, "numberOfFiles": 2, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3324/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data for the period 2005 to 2010, provided as is by the APPRAISE campaign participants for archiving at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4282/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8365/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6521/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/12228/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28315/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28318/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28319/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28321/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42983/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42987/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28317/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28316/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42984/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/46843/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75359/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/6553/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }